# ARBTextureCompressionBPTC (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTextureCompressionBPTC

    java.lang.Object
      org.lwjgl.opengl.ARBTextureCompressionBPTC

    public final class ARBTextureCompressionBPTC

extends java.lang.Object

Field Summary
`static int` `GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB` Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static int` `GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB` Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static int` `GL_COMPRESSED_RGBA_BPTC_UNORM_ARB` Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static int` `GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB` Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COMPRESSED_RGBA_BPTC_UNORM_ARB

    public static final int GL_COMPRESSED_RGBA_BPTC_UNORM_ARB

  Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

  See Also:
    Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB

    public static final int GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB

  Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB

    public static final int GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB

  Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB

    public static final int GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB

  Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.